GPROFNG-DISPLAY-GMON(1)

NAME
gprofng-display-gmon - Convert a gmon profile data to a gprofng experiment

SYNOPSIS
gprofng display gmon [option(s)] [target [gmon-file]]

DESCRIPTION
Reads the gmon.out file and the profiled executable. With the executable, we can reconstruct information about the profiled symbols and the memory map layout. The gmon.out file provides details about the execution duration for each symbol, as well as data used to build the call graph. The profile data is taken from the call graph profile file (gmon.out default) which is created by programs that are compiled with profile arches (i.e., the -pg option of "cc").

For example, this command converts the profile data (gmon.out) for an executable called a.out and stores the data collected in an experiment directory with the name example.er.

        $ gprofng display gmon -o example.er ./a.out gmon.out

OPTIONS

--version
    Print the version number and exit.

--help
    Print usage information and exit.

-o <exp_name>
    Specify the name for the experiment directory. The name has to end with .er and may contain an absolute path (e.g. /tmp/experiment.er). An existing experiment with the same name will not be overwritten.

-O <exp_name>
    This is the same as the -o option, but unlike this option, silently overwrites an existing experiment directory with the same name.

NOTES
Any executable in the ELF (Executable and Linkable Format) object format can be used for profiling with gprofng. If target is missing, the default executable name is a.out. If gmon-file is missing, the default profile data file name is gmon.out.

SEE ALSO
gprofng(1), gprofng-archive(1), gprofng-display-html(1), gprofng-display-src(1), gprofng-display-text(1)

The user guide for gprofng is maintained as a Texinfo manual. If the info and gprofng programs are correctly installed, the command info gprofng should give access to this document.

COPYRIGHT
Copyright (c) 2025-2026 Free Software Foundation, Inc.

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.3 or any later version published by the Free Software Foundation; with no Invariant Sections, with no Front-Cover Texts, and with no Back-Cover Texts. A copy of the license is included in the section entitled "GNU Free Documentation License".